<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: GenericAGSymbol Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_generic_a_g_symbol-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GenericAGSymbol Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_generic_a_g_symbol_8h_source.html">GenericAGSymbol.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for GenericAGSymbol:</div>
<div class="dyncontent">
<div class="center"><img src="class_generic_a_g_symbol__inherit__graph.png" border="0" usemap="#_generic_a_g_symbol_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for GenericAGSymbol:</div>
<div class="dyncontent">
<div class="center"><img src="class_generic_a_g_symbol__coll__graph.png" border="0" usemap="#_generic_a_g_symbol_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0552931529922fb7dc3dff3462a35a30"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_generic_a_g_symbol.html#a0552931529922fb7dc3dff3462a35a30">GenericAGSymbol</a> (const string, const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>)</td></tr>
<tr class="separator:a0552931529922fb7dc3dff3462a35a30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa62732b5ed65df3d82b9ac6e5f4d967e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_generic_a_g_symbol.html#aa62732b5ed65df3d82b9ac6e5f4d967e">GenericAGSymbol</a> (const <a class="el" href="class_generic_a_g_symbol.html">GenericAGSymbol</a> &amp;)</td></tr>
<tr class="separator:aa62732b5ed65df3d82b9ac6e5f4d967e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0576e86686e94a5cfdfb03feca45a049"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_generic_a_g_symbol.html#a0576e86686e94a5cfdfb03feca45a049">~GenericAGSymbol</a> ()</td></tr>
<tr class="separator:a0576e86686e94a5cfdfb03feca45a049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f61ce167775cb3894911348df437db"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_generic_a_g_symbol.html#a97f61ce167775cb3894911348df437db">updateSynthesisedAttributes</a> (<a class="el" href="class_a_g_context.html">AGContext</a> &amp;, const int prodIndex, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> &amp;lookUp)</td></tr>
<tr class="separator:a97f61ce167775cb3894911348df437db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01163b87febb450073f21684d3353cca"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_generic_a_g_symbol.html#a01163b87febb450073f21684d3353cca">updateInheritedAttributes</a> (<a class="el" href="class_a_g_context.html">AGContext</a> &amp;, const int prodIndex, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> &amp;lookUp)</td></tr>
<tr class="separator:a01163b87febb450073f21684d3353cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9928c647e9a0a30ca77dd0eae9c24340"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_generic_a_g_symbol.html">GenericAGSymbol</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_generic_a_g_symbol.html#a9928c647e9a0a30ca77dd0eae9c24340">operator=</a> (const <a class="el" href="class_generic_a_g_symbol.html">GenericAGSymbol</a>)</td></tr>
<tr class="separator:a9928c647e9a0a30ca77dd0eae9c24340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_a_g_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_a_g_symbol')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_a_g_symbol.html">AGSymbol</a></td></tr>
<tr class="memitem:a8e8bfec398a1ace3939e6f37af3bac56 inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#a8e8bfec398a1ace3939e6f37af3bac56">AGSymbol</a> (const string, const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>)</td></tr>
<tr class="separator:a8e8bfec398a1ace3939e6f37af3bac56 inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b54c12127c6121f4a676553f91bce2e inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#a3b54c12127c6121f4a676553f91bce2e">AGSymbol</a> (const <a class="el" href="class_a_g_symbol.html">AGSymbol</a> &amp;)</td></tr>
<tr class="separator:a3b54c12127c6121f4a676553f91bce2e inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adec651a4160d048721763e786c6e26dd inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#adec651a4160d048721763e786c6e26dd">~AGSymbol</a> ()</td></tr>
<tr class="separator:adec651a4160d048721763e786c6e26dd inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a548e1eaf04e174f9e9eb17789bc0b876 inherit pub_methods_class_a_g_symbol"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a548e1eaf04e174f9e9eb17789bc0b876 inherit pub_methods_class_a_g_symbol"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="class_a_g_symbol.html">AGSymbol</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#a548e1eaf04e174f9e9eb17789bc0b876">operator=</a> (const T)</td></tr>
<tr class="separator:a548e1eaf04e174f9e9eb17789bc0b876 inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9dd3c5d14038f10ddeb51bbce9688e4 inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#ac9dd3c5d14038f10ddeb51bbce9688e4">operator==</a> (const <a class="el" href="class_a_g_symbol.html">AGSymbol</a> &amp;)</td></tr>
<tr class="separator:ac9dd3c5d14038f10ddeb51bbce9688e4 inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ebd6aad579deb4ce28e1f14ab063b5a inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#a5ebd6aad579deb4ce28e1f14ab063b5a">getInUse</a> () const</td></tr>
<tr class="separator:a5ebd6aad579deb4ce28e1f14ab063b5a inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6e5807cdc93811ddfb8ba90fd17faeb inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#aa6e5807cdc93811ddfb8ba90fd17faeb">setInUse</a> (bool)</td></tr>
<tr class="separator:aa6e5807cdc93811ddfb8ba90fd17faeb inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bf1a2d268e14a3f723dc76d526f2dcd inherit pub_methods_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">virtual const vector&lt; bool &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#a9bf1a2d268e14a3f723dc76d526f2dcd">getValidProductionIndices</a> () const</td></tr>
<tr class="separator:a9bf1a2d268e14a3f723dc76d526f2dcd inherit pub_methods_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_symbol')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_symbol.html">Symbol</a></td></tr>
<tr class="memitem:a5a721de8c7f89319f149e7a1bcd1be07 inherit pub_methods_class_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a5a721de8c7f89319f149e7a1bcd1be07">Symbol</a> (const string=&quot;&quot;, const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>=<a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3aec7e29bf544eacca1fe00258e0590a6b">TSymbol</a>)</td></tr>
<tr class="separator:a5a721de8c7f89319f149e7a1bcd1be07 inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10bcfc87045b9f2670b7b8a78b269682 inherit pub_methods_class_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a10bcfc87045b9f2670b7b8a78b269682">Symbol</a> (const <a class="el" href="class_symbol.html">Symbol</a> &amp;)</td></tr>
<tr class="separator:a10bcfc87045b9f2670b7b8a78b269682 inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505360ad4bd2e0bd1e3954eca1b05723 inherit pub_methods_class_symbol"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a505360ad4bd2e0bd1e3954eca1b05723">~Symbol</a> ()</td></tr>
<tr class="separator:a505360ad4bd2e0bd1e3954eca1b05723 inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab1b412abc3a0df0f74fed3104c221d inherit pub_methods_class_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#aeab1b412abc3a0df0f74fed3104c221d">getType</a> () const</td></tr>
<tr class="separator:aeab1b412abc3a0df0f74fed3104c221d inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61756c51c1297d322ef070a35a5ae10c inherit pub_methods_class_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a61756c51c1297d322ef070a35a5ae10c">setType</a> (const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>)</td></tr>
<tr class="separator:a61756c51c1297d322ef070a35a5ae10c inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a992177f59b310d6319a59237a8aad2 inherit pub_methods_class_symbol"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a9a992177f59b310d6319a59237a8aad2 inherit pub_methods_class_symbol"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="class_symbol.html">Symbol</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_symbol.html#a9a992177f59b310d6319a59237a8aad2">operator=</a> (const T)</td></tr>
<tr class="separator:a9a992177f59b310d6319a59237a8aad2 inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dcd69327eb98f2bbc2363689490dfef inherit pub_methods_class_symbol"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a2dcd69327eb98f2bbc2363689490dfef">operator==</a> (const <a class="el" href="class_symbol.html">Symbol</a> &amp;)</td></tr>
<tr class="separator:a2dcd69327eb98f2bbc2363689490dfef inherit pub_methods_class_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_a_g_symbol"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_a_g_symbol')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_a_g_symbol.html">AGSymbol</a></td></tr>
<tr class="memitem:ae63a68fcd61358feeaa0895f72b80810 inherit pro_attribs_class_a_g_symbol"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_symbol.html#ae63a68fcd61358feeaa0895f72b80810">inUse</a></td></tr>
<tr class="separator:ae63a68fcd61358feeaa0895f72b80810 inherit pro_attribs_class_a_g_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0552931529922fb7dc3dff3462a35a30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0552931529922fb7dc3dff3462a35a30">&#9670;&nbsp;</a></span>GenericAGSymbol() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GenericAGSymbol::GenericAGSymbol </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>newArray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>&#160;</td>
          <td class="paramname"><em>newType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa62732b5ed65df3d82b9ac6e5f4d967e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa62732b5ed65df3d82b9ac6e5f4d967e">&#9670;&nbsp;</a></span>GenericAGSymbol() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GenericAGSymbol::GenericAGSymbol </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_generic_a_g_symbol.html">GenericAGSymbol</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0576e86686e94a5cfdfb03feca45a049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0576e86686e94a5cfdfb03feca45a049">&#9670;&nbsp;</a></span>~GenericAGSymbol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GenericAGSymbol::~GenericAGSymbol </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9928c647e9a0a30ca77dd0eae9c24340"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9928c647e9a0a30ca77dd0eae9c24340">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_generic_a_g_symbol.html">GenericAGSymbol</a> &amp; GenericAGSymbol::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_generic_a_g_symbol.html">GenericAGSymbol</a>&#160;</td>
          <td class="paramname"><em>newValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a01163b87febb450073f21684d3353cca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01163b87febb450073f21684d3353cca">&#9670;&nbsp;</a></span>updateInheritedAttributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a> GenericAGSymbol::updateInheritedAttributes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_a_g_context.html">AGContext</a> &amp;&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>prodIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> &amp;&#160;</td>
          <td class="paramname"><em>lookUp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_a_g_symbol.html#adcf3676028571bec21cac15888780f13">AGSymbol</a>.</p>

</div>
</div>
<a id="a97f61ce167775cb3894911348df437db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97f61ce167775cb3894911348df437db">&#9670;&nbsp;</a></span>updateSynthesisedAttributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a> GenericAGSymbol::updateSynthesisedAttributes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_a_g_context.html">AGContext</a> &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>prodIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> &amp;&#160;</td>
          <td class="paramname"><em>lookUp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_a_g_symbol.html#aaa6a7ff2ef1935b5bc9b9c18b82127fc">AGSymbol</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_generic_a_g_symbol_8h_source.html">GenericAGSymbol.h</a></li>
<li>src/<a class="el" href="_generic_a_g_symbol_8cpp.html">GenericAGSymbol.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
